Place/Controllers/PlaceController.cs
using System.Threading.Tasks;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using Place.BL.Models.Place;
using Place.BL.Models.Review;
using Place.BL.Service;
using Place.BL.Service.Place;
using Place.BL.Service.Review;
using Place.DAL.Entities;
using Place.Models.Image;

namespace Place.Controllers
{
    public class PlaceController : Controller
    {
        private readonly IPlaceService _placeService;
        private readonly IReviewService _reviewService;
        private readonly IImageService _imageService;
        private readonly UserManager<User> _userManager;

        public PlaceController(IPlaceService placeService, UserManager<User> userManager, IReviewService reviewService, IImageService imageService)
        {
            _placeService = placeService;
            _userManager = userManager;
            _reviewService = reviewService;
            _imageService = imageService;
        }
        public async Task<IActionResult> Index(int placeId)
        {
            var place = await _placeService.GetPlaceAsync(placeId);
            return View(place);
        }

        [HttpGet]
        public IActionResult AddNewPlace()
        {
            return View();
        }

        [HttpPost]
        public async Task<IActionResult> AddNewPlace(AddPlaceModel model)
        {
            var user = await _userManager.GetUserAsync(User);
            var userId = user.Id;
            if (ModelState.IsValid)
            {
                var placeId = await _placeService.AddNewPlaceAsync(model, userId);

                return RedirectToAction("Index", new { placeId = placeId });
            }

            return View(model);
        }

        [HttpPost]
        public async Task<IActionResult> AddReview(AddReviewModel model)
        {
            var user = await _userManager.GetUserAsync(User);
            var userId = user.Id;

            if (ModelState.IsValid)
            {
                await _reviewService.AddReviewAsync(model, userId);
            }

            return RedirectToAction("Index", new { placeId = model.PlaceId });
        }

        [HttpPost]
        public async Task<IActionResult> AddImage(ImageUploadViewModel model)
        {
            var user = await _userManager.GetUserAsync(User);
            var userId = user.Id;

            if (ModelState.IsValid)
            {
                await _imageService.AddImageAsync(model, userId);
            }

            return RedirectToAction("Index", new { placeId = model.PlaceId });
        }
    }
}

Place/Views/Shared/_Layout.cshtml
@using Microsoft.AspNetCore.Identity
@using Place.DAL.Entities

@inject SignInManager<User> SignInManager;
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Place</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Place</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <partial name="_LoginPartial" />
                    @if (SignInManager.IsSignedIn(User))
                        {
                            <ul class="navbar-nav flex-grow-1">
                                <li class="nav-item">
                                    <a class="nav-link text-dark" asp-controller="Place" asp-action="AddNewPlace">Добавить обсуждение</a>
                                </li>
                            </ul>
                        }
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2020 - Place - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <script src="~/js/bootstrap-star-raiting.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>